Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
ClpPackedMatrix3 Class Reference

`#include <ClpPackedMatrix.hpp>`

Collaboration diagram for ClpPackedMatrix3:
[legend]

## Public Member Functions
Useful methods
void | transposeTimes (const ClpSimplex *model, const double *pi, CoinIndexedVector *output) const
| Return `x * -1 * A in `z`.` More...
void | transposeTimes (const ClpSimplex *model, const double *pi, CoinIndexedVector *output, CoinIndexedVector *candidate, const CoinIndexedVector *rowArray) const
| This version does dualColumn0 Updates two arrays for steepest. More...
void | transposeTimes2 (const ClpSimplex *model, const double *pi, CoinIndexedVector *dj1, const double *piWeight, double *COIN_RESTRICT infeas, double *COIN_RESTRICT reducedCost, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
Constructors, destructor
| ClpPackedMatrix3 ()
| Default constructor. More...
| ClpPackedMatrix3 (ClpSimplex *model, const CoinPackedMatrix *columnCopy)
| Constructor from copy. More...
virtual | ~ClpPackedMatrix3 ()
| Destructor. More...
Copy method
| ClpPackedMatrix3 (const ClpPackedMatrix3 &)
| The copy constructor. More...
ClpPackedMatrix3 & | operator= (const ClpPackedMatrix3 &)
Sort methods
void | sortBlocks (const ClpSimplex *model)
| Sort blocks. More...
void | swapOne (const ClpSimplex *model, const ClpPackedMatrix *matrix, int iColumn)
| Swap one variable. More...
void | swapOne (int iBlock, int kA, int kB)
| Part of above. More...
void | checkBlocks (const ClpSimplex *model)
| Debug - check blocks. More...
int | redoInfeasibilities (const ClpSimplex *model, ClpPrimalColumnSteepest *pivotChoose, int type)
| type - 1 redo infeasible, 2 choose sequenceIn, 3 both returns sequenceIn (or -1) for type 2 More...

## Protected Attributes
Data members
Get temporary array (aligned) The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks. More...
int | numberColumns_
| Number of columns. More...
int | numberColumnsWithGaps_
| Number of columns including gaps. More...
CoinBigIndex | numberElements_
| Number of elements (including gaps) More...
int | maxBlockSize_
| Maximum size of any block. More...
int * | column_
| Column indices and reverse lookup (within block) More...
CoinBigIndex * | start_
| Starts for odd/long vectors?? More...
int * | row_
| Rows. More...
double * | element_
| Elements. More...
CoinDoubleArrayWithLength * | temporary_
| Temporary work area (aligned) More...
blockStruct * | block_
| Blocks (ordinary start at 0 and go to first block) More...
int | ifActive_
| If active. More...

## Detailed Description

Definition at line 604 of file ClpPackedMatrix.hpp.

## Constructor & Destructor Documentation

ClpPackedMatrix3::ClpPackedMatrix3 | ( |  | ) |

Default constructor.

ClpPackedMatrix3::ClpPackedMatrix3 | ( | ClpSimplex * | model,
|  | const CoinPackedMatrix * | columnCopy
| ) |  |

Constructor from copy.

virtual ClpPackedMatrix3::~ClpPackedMatrix3 | ( |  | ) |
| virtual

Destructor.

ClpPackedMatrix3::ClpPackedMatrix3 | ( | const ClpPackedMatrix3 & |  | ) |

The copy constructor.

## Member Function Documentation

void ClpPackedMatrix3::transposeTimes | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | output
| ) |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about ClpSimplex

void ClpPackedMatrix3::transposeTimes | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | output,
|  | CoinIndexedVector * | candidate,
|  | const CoinIndexedVector * | rowArray
| ) |  | const

This version does dualColumn0 Updates two arrays for steepest.

void ClpPackedMatrix3::transposeTimes2 | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | dj1,
|  | const double * | piWeight,
|  | double *COIN_RESTRICT | infeas,
|  | double *COIN_RESTRICT | reducedCost,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor
| ) |  |

ClpPackedMatrix3& ClpPackedMatrix3::operator= | ( | const ClpPackedMatrix3 & |  | ) |

void ClpPackedMatrix3::sortBlocks | ( | const ClpSimplex * | model | ) |

Sort blocks.

void ClpPackedMatrix3::swapOne | ( | const ClpSimplex * | model,
|  | const ClpPackedMatrix * | matrix,
|  | int | iColumn
| ) |  |

Swap one variable.

void ClpPackedMatrix3::swapOne | ( | int | iBlock,
|  | int | kA,
|  | int | kB
| ) |  |

Part of above.

void ClpPackedMatrix3::checkBlocks | ( | const ClpSimplex * | model | ) |

Debug - check blocks.

int ClpPackedMatrix3::redoInfeasibilities | ( | const ClpSimplex * | model,
|  | ClpPrimalColumnSteepest * | pivotChoose,
|  | int | type
| ) |  |

type - 1 redo infeasible, 2 choose sequenceIn, 3 both returns sequenceIn (or -1) for type 2

## Member Data Documentation

int ClpPackedMatrix3::numberBlocks_
| protected

Number of blocks.

Definition at line 675 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix3::numberColumns_
| protected

Number of columns.

Definition at line 677 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix3::numberColumnsWithGaps_
| protected

Number of columns including gaps.

Definition at line 679 of file ClpPackedMatrix.hpp.

CoinBigIndex ClpPackedMatrix3::numberElements_
| protected

Number of elements (including gaps)

Definition at line 685 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix3::maxBlockSize_
| protected

Maximum size of any block.

Definition at line 687 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix3::column_
| protected

Column indices and reverse lookup (within block)

Definition at line 689 of file ClpPackedMatrix.hpp.

CoinBigIndex* ClpPackedMatrix3::start_
| protected

Starts for odd/long vectors??

Definition at line 691 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix3::row_
| protected

Rows.

Definition at line 693 of file ClpPackedMatrix.hpp.

double* ClpPackedMatrix3::element_
| protected

Elements.

Definition at line 695 of file ClpPackedMatrix.hpp.

CoinDoubleArrayWithLength* ClpPackedMatrix3::temporary_
| protected

Temporary work area (aligned)

Definition at line 697 of file ClpPackedMatrix.hpp.

blockStruct* ClpPackedMatrix3::block_
| protected

Blocks (ordinary start at 0 and go to first block)

Definition at line 703 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix3::ifActive_
| protected

If active.

Definition at line 705 of file ClpPackedMatrix.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Clp/src/ClpPackedMatrix.hpp